Package googleapiclient :: Package discovery_cache |
[hide private]
[frames] | no frames]

# Package discovery_cache

source code

    Caching utility for the discovery document.

Submodules | [hide private]
googleapiclient.discovery_cache.appengine_memcache: App Engine memcache based cache for the discovery document. googleapiclient.discovery_cache.base: An abstract class for caching the discovery document. googleapiclient.discovery_cache.file_cache: File based cache for the discovery document.

Functions | [hide private]
autodetect() Detects an appropriate cache module and returns it. | source code

Variables | [hide private]
| LOGGER = `logging.getLogger(__name__)`
| DISCOVERY_DOC_MAX_AGE = `60* 60* 24`

Function Details | [hide private]

### autodetect() | source code
    Detects an appropriate cache module and returns it.

    Returns:
      googleapiclient.discovery_cache.base.Cache, a cache object which
      is auto detected, or None if no cache object is available.